Skip to main content
POST
/
v1
/
connector-instances
/
{connectorInstanceId}
/
archive
archive connector instance
curl --request POST \
  --url https://api.openworklabs.com/v1/connector-instances/{connectorInstanceId}/archive
import requests

url = "https://api.openworklabs.com/v1/connector-instances/{connectorInstanceId}/archive"

response = requests.post(url)

print(response.text)
const options = {method: 'POST'};

fetch('https://api.openworklabs.com/v1/connector-instances/{connectorInstanceId}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "ok": true,
  "item": {
    "id": "<string>",
    "organizationId": "<string>",
    "connectorAccountId": "<string>",
    "connectorType": "github",
    "remoteId": "<string>",
    "name": "<string>",
    "instanceConfigJson": {},
    "lastSyncedAt": "2023-11-07T05:31:56Z",
    "lastSyncCursor": "<string>",
    "createdByOrgMembershipId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}
{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
{
"error": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Path Parameters

connectorInstanceId
string<typeid>
required

Den TypeID with 'cin_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^cin_.*

Response

Connector instance updated successfully.

ok
boolean
required
item
object
required